%define module_name X11-Muralis
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(File/Find/Rule.pm) perl(File/Spec.pm) perl(Getopt/ArgvFile.pm) perl(Getopt/Long.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Image/Info.pm) perl(Module/Build.pm) perl(Module/Pluggable.pm) perl(Pod/Coverage/TrustPod.pm) perl(Pod/Usage.pm) perl(Test/CPAN/Meta.pm) perl(Test/Distribution.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(blib.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.1003
Release: alt1
Summary: Perl module to display wallpaper on your desktop.
Group: Development/Perl
License: perl
URL: https://github.com/rubykat/X11-Muralis

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/R/RU/RUBYKAT/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
The X11::Muralis module (and accompanying script, 'muralis') displays a.given image file on the desktop background (that is, the root window) of
an X-windows display.

This tries to determine what size would best suit the image; whether to
show it fullscreen or normal size, whether to show it tiled or centred
on the screen.  Setting the options overrides this behaviour.

One can also repeat the display of the last-displayed image, changing the
display options as one desires.

This uses an external program (xloadimage, xsri, or feh) to display
the image file.

This also depends on xwininfo to get information about the root window.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc README LICENSE README.mkdn Changes
%perl_vendor_privlib/X*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
* Fri Jan 13 2017 Igor Vlasenko <viy@altlinux.ru> 0.1003-alt1
- regenerated from template by package builder

* Fri Feb 19 2016 Igor Vlasenko <viy@altlinux.ru> 0.1001-alt1
- regenerated from template by package builder

* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.10-alt1
- initial import by package builder

